CRMchat APIBeta
Telegram APIMessages

messages.getPreparedInlineMessage

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getPreparedInlineMessage

Obtain a prepared inline message generated by a mini app: invoked when handling web_app_send_prepared_message events

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Obtain a prepared inline message generated by a mini app: invoked when handling web_app_send_prepared_message events

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getPreparedInlineMessage" \  -H "Content-Type: application/json" \  -d '{    "params": {      "bot": {        "_": "inputUserEmpty"      },      "id": "string"    }  }'
{  "result": {    "_": "messages.preparedInlineMessage",    "queryId": "string",    "result": {      "_": "botInlineResult",      "id": "string",      "type": "string",      "title": "string",      "description": "string",      "url": "string",      "thumb": {        "_": "webDocument",        "url": "string",        "accessHash": "string",        "size": 0,        "mimeType": "string",        "attributes": [          {            "_": "documentAttributeImageSize",            "w": 0,            "h": 0          }        ]      },      "content": {        "_": "webDocument",        "url": "string",        "accessHash": "string",        "size": 0,        "mimeType": "string",        "attributes": [          {            "_": "documentAttributeImageSize",            "w": 0,            "h": 0          }        ]      },      "sendMessage": {        "_": "botInlineMessageMediaAuto",        "invertMedia": true,        "message": "string",        "entities": [          {            "_": "messageEntityUnknown",            "offset": 0,            "length": 0          }        ],        "replyMarkup": {          "_": "replyKeyboardHide",          "selective": true        }      }    },    "peerTypes": [      {        "_": "inlineQueryPeerTypeSameBotPM"      }    ],    "cacheTime": 0,    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}